Bug 144468 - Firefox Pref. "General | Languages" could be set by 'Session Language'
Firefox Pref. "General | Languages" could be set by 'Session Language'
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 08:28 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-13 03:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-01-07 08:28:50 EST
Description of problem:

Non-English language users must manually configure firefox in order to
coax websites in to displaying themselves in their preferred language.
 Firefox could take an argument which appends the language selected by
the user for their session to the top of the preferred languages list
under Firefox's "Edit | Preferences | General | Languages" for the
duration of that firefox instantiation, could read from an environment
variable (LANG).

Version-Release number of selected component (if applicable):

Vanilla FC3.

How reproducible:

Select a non-English language as your session language before logging
in, start Firefox, then view a website that takes 'preferred language'
settings.  (Or any website, and sniff your HTTP request's
accept-language header with ethereal or similar package). 

Actual results:

Users see English sites.

Expected results:

Users should see sites in the language they selected for their session.
Comment 1 Sitsofe Wheeler 2005-01-07 12:48:34 EST
Maybe already reported upstream:
https://bugzilla.mozilla.org/show_bug.cgi?id=161631
https://bugzilla.mozilla.org/show_bug.cgi?id=164220
Comment 2 Matthew Miller 2006-07-10 19:05:08 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.